# Uses of Class
javax.management.openmbean.CompositeType

Packages that use CompositeType
Package
Description
com.sun.management
This package contains JDK extensions to the standard implementation of the `java.lang.management` API and also defines the management interface for some other components of the platform.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.

## Uses of CompositeType in com.sun.management

Methods in com.sun.management that return CompositeType
Modifier and Type
Method
Description
`CompositeType`
GcInfo.`getCompositeType()`
Methods in com.sun.management with parameters of type CompositeType
Modifier and Type
Method
Description
`CompositeData`
GarbageCollectionNotificationInfo.`toCompositeData(CompositeType ct)`
`CompositeData`
GcInfo.`toCompositeData(CompositeType ct)`
Return the `CompositeData` representation of this `GcInfo`, including any GC-specific attributes.

## Uses of CompositeType in javax.management.openmbean

Methods in javax.management.openmbean that return CompositeType
Modifier and Type
Method
Description
`CompositeType`
CompositeData.`getCompositeType()`
Returns the composite type of this composite data instance.
`CompositeType`
CompositeDataSupport.`getCompositeType()`
Returns the composite type of this composite data instance.
`CompositeType`
TabularType.`getRowType()`
Returns the type of the row elements of tabular data values described by this `TabularType` instance.
Methods in javax.management.openmbean with parameters of type CompositeType
Modifier and Type
Method
Description
`CompositeData`
CompositeDataView.`toCompositeData(CompositeType ct)`
Return a `CompositeData` corresponding to the values in this object.
Constructors in javax.management.openmbean with parameters of type CompositeType
Modifier
Constructor
Description
``
`CompositeDataSupport(CompositeType compositeType, String[] itemNames, Object[] itemValues)`
Constructs a `CompositeDataSupport` instance with the specified `compositeType`, whose item values are specified by `itemValues[]`, in the same order as in `itemNames[]`.
``
`CompositeDataSupport(CompositeType compositeType, Map<String,?> items)`
Constructs a `CompositeDataSupport` instance with the specified `compositeType`, whose item names and corresponding values are given by the mappings in the map `items`.
``
`TabularType(String typeName, String description, CompositeType rowType, String[] indexNames)`
Constructs a `TabularType` instance, checking for the validity of the given parameters.